local VERSION = tonumber(("$Revision: 42775 $"):match("%d+"))

if uab.revision < VERSION then
	uab.version = "r" .. VERSION
	uab.revision = VERSION
	uab.date = ("$Date: 2007-07-04 17:50:18 -0400 (Wed, 04 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

--[[
Class to manage the config dialog for the add-on.  Handles all config dialog functionality.
--]]

uab.classes.cfgdlg = uab.mixins.aceOO.Class()

function uab.classes.cfgdlg.prototype:init()
	uab.classes.cfgdlg.super.prototype.init(self)
	
    UAB_MainFrame:SetBackdropColor(1.0,1.0,1.0,0.90)

	self.actions = uab.classes.ActionsTab:new()
end

function uab.classes.cfgdlg.prototype:GetActionsTab()
    return self.actions
end
